<ng-container [ngSwitch]="level.type">
  <kypo-training-level-detail *ngSwitchCase="levelTypes.Training" [level]="level"> </kypo-training-level-detail>
  <kypo-info-level-detail *ngSwitchCase="levelTypes.Info" [level]="level"> </kypo-info-level-detail>
  <kypo-access-level-detail *ngSwitchCase="levelTypes.Access" [level]="level"> </kypo-access-level-detail>
  <kypo-assessment-level-detail *ngSwitchCase="levelTypes.Assessment" [level]="level"> </kypo-assessment-level-detail>
</ng-container>
